package org.dromara.ygpassport.domain.dto;


import lombok.Data;

@Data
public class ProjectDto {

    /**
     * id
     */
    private Long id;

    /**
     * 学生姓名
     */
    private String stuName;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 项目组/导师名称
     */
    private String tutorName;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 成绩
     */
    private Integer score;

    /**
     * 参与时长
     */
    private String participateDuration;

    /**
     * 岗位角色
     */
    private String jobRole;

    public ProjectDto() {
    }

    public ProjectDto(StuCombatProjectDto stuCombatProjectDto){
        this.id = stuCombatProjectDto.getId();
        this.stuName = stuCombatProjectDto.getStuName();
        this.stuNo = stuCombatProjectDto.getStuNo();
        this.semester = stuCombatProjectDto.getSemester();
        this.tutorName = stuCombatProjectDto.getTutorName();
        this.projectName = stuCombatProjectDto.getProjectName();
        this.score = stuCombatProjectDto.getScore();
        this.participateDuration = stuCombatProjectDto.getParticipateDuration();
        this.jobRole = stuCombatProjectDto.getJobRole();
    }

    public ProjectDto(StuTutorDto stuTutorDto) {
        this.id = stuTutorDto.getId();
        this.stuName = stuTutorDto.getStuName();
        this.stuNo = stuTutorDto.getStuNo();
        this.semester = stuTutorDto.getSemester();
        this.tutorName = stuTutorDto.getTutorName();
        this.projectName = stuTutorDto.getProjectName();
        this.score = stuTutorDto.getScore();
    }
}
